<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_VisaRequest StructType
 * @subpackage Structs
 */
class JP_VisaRequest extends AbstractStructBase
{
    /**
     * The SearchSegmentsVisa
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_SearchSegmentsVisa
     */
    public $SearchSegmentsVisa;
    /**
     * The RelPaxesDist
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_RelPaxDist
     */
    public $RelPaxesDist;
    /**
     * Constructor method for JP_VisaRequest
     * @uses JP_VisaRequest::setSearchSegmentsVisa()
     * @uses JP_VisaRequest::setRelPaxesDist()
     * @param \StructType\JP_SearchSegmentsVisa $searchSegmentsVisa
     * @param \ArrayType\ArrayOfJP_RelPaxDist $relPaxesDist
     */
    public function __construct(\StructType\JP_SearchSegmentsVisa $searchSegmentsVisa = null, \ArrayType\ArrayOfJP_RelPaxDist $relPaxesDist = null)
    {
        $this
            ->setSearchSegmentsVisa($searchSegmentsVisa)
            ->setRelPaxesDist($relPaxesDist);
    }
    /**
     * Get SearchSegmentsVisa value
     * @return \StructType\JP_SearchSegmentsVisa|null
     */
    public function getSearchSegmentsVisa()
    {
        return $this->SearchSegmentsVisa;
    }
    /**
     * Set SearchSegmentsVisa value
     * @param \StructType\JP_SearchSegmentsVisa $searchSegmentsVisa
     * @return \StructType\JP_VisaRequest
     */
    public function setSearchSegmentsVisa(\StructType\JP_SearchSegmentsVisa $searchSegmentsVisa = null)
    {
        $this->SearchSegmentsVisa = $searchSegmentsVisa;
        return $this;
    }
    /**
     * Get RelPaxesDist value
     * @return \ArrayType\ArrayOfJP_RelPaxDist|null
     */
    public function getRelPaxesDist()
    {
        return $this->RelPaxesDist;
    }
    /**
     * Set RelPaxesDist value
     * @param \ArrayType\ArrayOfJP_RelPaxDist $relPaxesDist
     * @return \StructType\JP_VisaRequest
     */
    public function setRelPaxesDist(\ArrayType\ArrayOfJP_RelPaxDist $relPaxesDist = null)
    {
        $this->RelPaxesDist = $relPaxesDist;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_VisaRequest
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
